
// change brightness based on the time of day.

void adjustBrightness() {

  // get time from the RTC
  DateTime thetime = RTC.now();



 //change brightness if it's night time


  if(nightStart == dayStart){ // force constant brightness if hours are the same
     matrix.setBrightness(realIntensity(dayIntensity)); 
    }
  else if(nightStart > dayStart){
    if (thetime.hour() < dayStart || thetime.hour() >= nightStart) {
       matrix.setBrightness(realIntensity(nightIntensity)); //NIGHTBRIGHTNESS convert 1-8 value to 5 to 100
      } else {
       matrix.setBrightness(realIntensity(dayIntensity)); //DAYBRIGHTNESS
      }
    }
  else if(dayStart > nightStart){

    if (thetime.hour() >= nightStart && thetime.hour() < dayStart) {
       matrix.setBrightness(realIntensity(nightIntensity)); //NIGHTBRIGHTNESS convert 1-8 value to 5 to 100
      } else {
       matrix.setBrightness(realIntensity(dayIntensity)); //DAYBRIGHTNESS
      }
  }

}
